
Log Reporting - Bug #7487

Executor Service Fails in LogEntryQueueTask

2015-11-13 15:20 - Robert Waltz

Status: Closed Start date: 2015-11-13

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

After ripping hazelcast out of Log Aggregation, I substituted a ArrayBlockingQueue for what was an originally a hazelcast structure. 

Instead of sending these solrItem Beans directly to solr, I place them in batches on the ArrayBlockingQueue (the original hazelcast

communication structure for all the CNs).  Then a rather complex bit of code   batches again all the received solrItem Beans and

submitted them to an executor service. The executor service iss threaded pool that manages the connections to solr.  The executor

service appears to have failed somehow. I suspect solr may have been the sticking point, but I am not certain. At least I know this, if

the executor service fails, then log aggregation is unable to recover.

Remove the executor service from logAggregation and allow the harvester to submit records directly to solr.

Associated revisions

Revision 16898 - 2015-11-13 15:25 - Robert Waltz

refs #7487

Removing much of the complexity that was written to deal with hazelcast.

Revision 16898 - 2015-11-13 15:25 - Robert Waltz

refs #7487

Removing much of the complexity that was written to deal with hazelcast.

Revision 16899 - 2015-11-13 15:34 - Robert Waltz

fixes #7487

remove the spring configuration that is no longer needed for log Aggregation

Revision 16899 - 2015-11-13 15:34 - Robert Waltz

fixes #7487

remove the spring configuration that is no longer needed for log Aggregation

Revision 16900 - 2015-11-13 18:02 - Robert Waltz

closes #7487

replacing synchronized method with a lock. Should help performance.

Revision 16900 - 2015-11-13 18:02 - Robert Waltz
closes #7487

replacing synchronized method with a lock. Should help performance.

Revision 16901 - 2015-11-13 18:08 - Robert Waltz

refs #7487

no longer need to throttle sending of messages to hazelcast.

Revision 16901 - 2015-11-13 18:08 - Robert Waltz

refs #7487

no longer need to throttle sending of messages to hazelcast.

Revision 16932 - 2015-11-18 18:34 - Robert Waltz

refs #7487

Updating Trunk.  Removing much of the complexity that was written to deal with hazelcast.

Revision 16932 - 2015-11-18 18:34 - Robert Waltz

refs #7487

Updating Trunk.  Removing much of the complexity that was written to deal with hazelcast.

Revision 16933 - 2015-11-18 18:39 - Robert Waltz

refs #7487

Updating Trunk. remove the spring configuration that is no longer needed for log Aggregation

Revision 16933 - 2015-11-18 18:39 - Robert Waltz

refs #7487

Updating Trunk. remove the spring configuration that is no longer needed for log Aggregation

History

#1 - 2015-11-13 15:22 - Robert Waltz

- Description updated

- Assignee set to Robert Waltz

- Target version set to CCI-2.0.0

- Subject changed from Executor ervice fails to Executor Service Fails in LogEntryQueueTask

- Category set to d1_log_aggregation

#2 - 2015-11-13 15:42 - Robert Waltz

- % Done changed from 0 to 100

- Status changed from New to Closed
Applied in changeset d1-python:d1_python|r16899.
